export default (function (_ref) {
  var projectId = _ref.projectId;
  return {
    autoQuery: false,
    paging: false,
    dataKey: null,
    transport: {
      read: function read(_ref2) {
        var data = _ref2.data;

        var _ref3 = data || {},
            envId = _ref3.envId,
            appServiceIds = _ref3.appServiceIds,
            startTime = _ref3.startTime,
            endTime = _ref3.endTime;

        return {
          url: "devops/v1/projects/".concat(projectId, "/app_service_instances/env_commands/time?env_id=").concat(envId, "&endTime=").concat(endTime, "&startTime=").concat(startTime),
          method: 'post',
          data: appServiceIds
        };
      }
    }
  };
});